Skip to main content
GET
List campaigns

Authorizations

public-api-key
string
header
required

Your public API key from the Yuno Dashboard

private-secret-key
string
header
required

Your private secret key (server-side only)

Query Parameters

status
enum<string>

Filter by status

Available options:
ACTIVE,
INACTIVE,
DRAFT,
EXPIRED
limit
integer
default:20

Maximum number of results to return

Required range: x <= 100
starting_after
string

Cursor for forward pagination. Pass the ID of the last item from the previous page.

ending_before
string

Cursor for backward pagination. Pass the ID of the first item from the previous page.

Response

200 - application/json

List of campaigns

id
string<uuid>
name
string
description
string
status
enum<string>
Available options:
ACTIVE,
INACTIVE,
DRAFT,
EXPIRED
start_date
string<date-time>
end_date
string<date-time>
country
string
created_at
string<date-time>
updated_at
string<date-time>